Enrichment Tables / REST API

Update table

Update table columns and/or run settings. Pass the full ordered columns array to reorder, hide, or remove columns. Omitted run settings are preserved.

PATCH /api/mcp/enrichment/tables/{tableId}Deterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
tableIdRequired · string
See the input schema for this field.
columnsOptional · array
Full ordered Column[] replacement. Existing row data is preserved. Column ids must be unique.
runSettingsOptional · object
See the input schema for this field.
Request example
curl -X PATCH "https://app.pipeline.help/api/mcp/enrichment/tables/00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"runSettings":{"autoUpdate":false}}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "tableId": {
      "type": "string"
    },
    "columns": {
      "type": "array",
      "items": {
        "type": "object",
        "additionalProperties": true,
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "type": {
            "type": "string",
            "enum": [
              "text",
              "number",
              "currency",
              "date",
              "url",
              "email",
              "image",
              "checkbox",
              "select",
              "formula",
              "enrichment",
              "action",
              "source",
              "signal-type"
            ]
          },
          "width": {
            "type": "number"
          },
          "hidden": {
            "type": "boolean"
          },
          "config": {
            "type": "object",
            "additionalProperties": true
          },
          "description": {
            "type": "string"
          },
          "color": {
            "type": "string"
          },
          "pinned": {
            "type": "boolean"
          },
          "parentColumnId": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "type"
        ]
      },
      "description": "Full ordered Column[] replacement. Existing row data is preserved. Column ids must be unique."
    },
    "runSettings": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "autoUpdate": {
          "type": "boolean"
        },
        "autoDedupeRows": {
          "type": "boolean"
        },
        "dedupeColumnId": {
          "type": [
            "string",
            "null"
          ]
        },
        "dedupeStrategy": {
          "type": "string",
          "enum": [
            "keep_oldest",
            "keep_newest"
          ]
        },
        "cascadeEnabled": {
          "type": "boolean"
        },
        "cascadeMaxDepth": {
          "type": "number"
        },
        "cascadeDelayMs": {
          "type": "number"
        },
        "autoProcessNewRows": {
          "type": "boolean"
        },
        "autoProcessBatchSize": {
          "type": "number"
        },
        "businessHoursOnly": {
          "type": "boolean"
        }
      }
    }
  },
  "required": [
    "tableId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview